
Figure - Bug #115272
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT2】【任务管理器】多次连续操作打开多任务管理器在返回,在屏幕的右下方会出现后台应用的
异常显示
2023-01-12 15:49 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-12

Priority: Normal Due date: 2023-02-07

Assignee: CD TEST-方永红 % Done: 100%

Category: 客户jira bug Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301110536

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

Reproducibility: Every time Fixed Version: 2023-02-08

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1.桌面状态

2.底部上滑打开多任务管理器

3.底部上滑返回桌面

4.连续快速操作步骤2.3

【预期结果】

4、按手势操作做出对应动作

【实际结果】

4、在屏幕的右下方会出现后台应用的异常显示

History

#1 - 2023-01-12 19:08 - CD APP-王营

- Due date set to 2023-02-02

#2 - 2023-01-17 19:48 - CD TEST-方永红

- Category changed from CD-APP to 客户jira bug

#3 - 2023-01-29 10:21 - CD APP-王营

- Status changed from New to ASSIGNED

#4 - 2023-02-02 20:49 - CD APP-王营

- Due date changed from 2023-02-02 to 2023-02-03

■ Current conclusion

正在分析中

■ My analysis

当任务管理器中第二个task的快照为小窗时候，item高度比例和缩略图保持一致，高于其它item，同时有放大现象，需要进一步优化进入recent的动画，同
时针对窗缩略图进行处理。

■ Next action

继续分析应用内上滑进入recent的动画流程及实现方式，Recent手势动画比较复杂需要深入研究逐步优化。

#5 - 2023-02-06 15:39 - CD APP-王营

- Due date changed from 2023-02-03 to 2023-02-07

#6 - 2023-02-06 20:37 - CD APP-王营

- % Done changed from 0 to 80

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion

问题已修复，待测试同事验证

■ My analysis

进入recent动画的起始水平偏移量较小，快速上滑过程中Recent task分为两行，在原生动画的基础上，当前现象为从右侧上下同时两张卡片缩小进入，由

于水平偏移量较小，底部卡片的左上角过早进入屏幕，进而出现了视频中右下角的异常情况。

当前处理方式增加了动画水平偏移量  在卡片进入屏幕之前，卡片已经缩小到正常形态，目前可正常显示。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/179706

#7 - 2023-02-07 10:00 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179706 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW: Launcher: Fix animation when enter recent1.After opening the multitask manager for multiple consecutiveoperations, the abnormal display of background

application will appearat the bottom right of the screenTC-RID: 1201-0205302IssueID: TS-R-BUG-115272Change-Id:

I25c0c2548d7d6f54243138f1e7c99c1cf242ee1c

#8 - 2023-02-07 10:04 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 80 to 100

- Fixed Version set to 2023-02-08

代码已入库，请在02-08及以后的版本上验证此问题。

2025-07-04 2/3

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/179706


#9 - 2023-02-08 11:10 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

2.8

重复进入任务管理器，右下角无异常显示

#10 - 2023-02-08 11:10 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

多任务管理器中的异常显示.mp4 9.91 MB 2023-01-12 CD TEST-方永红
